Index: code/branches/libraries2/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- code/branches/libraries2/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 5719)
+++ code/branches/libraries2/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 5720)
@@ -37,6 +37,6 @@
 #include "core/XMLPort.h"
 #include "core/EventIncludes.h"
-#include "orxonox/objects/worldentities/pawns/Pawn.h"
-#include "orxonox/objects/worldentities/triggers/PlayerTrigger.h"
+#include "objects/worldentities/pawns/Pawn.h"
+#include "objects/worldentities/triggers/PlayerTrigger.h"
 #include "QuestEffect.h"
 
@@ -52,5 +52,5 @@
     {
         RegisterObject(QuestEffectBeacon);
-        
+
         this->status_ = QuestEffectBeaconStatus::Active;
         this->times_ = INFINITE_TIME;
@@ -63,5 +63,5 @@
     {
     }
-    
+
     /**
     @brief
@@ -74,8 +74,8 @@
         XMLPortParam(QuestEffectBeacon, "times", setTimes, getTimes, xmlelement, mode);
         XMLPortObject(QuestEffectBeacon, QuestEffect, "effects", addEffect, getEffect, xmlelement, mode);
-        
+
         COUT(3) << "New QuestEffectBeacon created." << std::endl;
     }
-    
+
     /**
     @brief
@@ -85,8 +85,8 @@
     {
         SUPER(QuestEffectBeacon, processEvent, event);
-    
+
         ORXONOX_SET_SUBCLASS_EVENT(QuestEffectBeacon, "execute", execute, event, PlayerTrigger);
     }
-    
+
     /**
     @brief
@@ -109,5 +109,5 @@
             return false;
         }
-        
+
         if(!trigger->isForPlayer()) //!< The PlayerTrigger is not exclusively for ControllableEntities which means we cannot extract one.
         {
@@ -123,8 +123,8 @@
             return false;
         }
-        
+
         //! Extract the PlayerInfo from the ControllableEntity.
         PlayerInfo* player = pawn->getPlayer();
-        
+
         if(player == NULL)
         {
@@ -144,5 +144,5 @@
         return false;
     }
-    
+
     /**
     @brief
@@ -159,5 +159,5 @@
             return false;
         }
-        
+
         if(activate)
         {
@@ -165,9 +165,9 @@
         return true;
         }
-        
+
         this->status_ = QuestEffectBeaconStatus::Inactive;
         return true;
     }
-    
+
     /**
     @brief
@@ -186,5 +186,5 @@
             return true;
         }
-        
+
         this->times_ = this->times_ - 1; //!< Decrement number of times the QuestEffectBeacon can be executed.
         if(this->getTimes() == 0) //!< Set the QuestEffectBeacon to inactive when the number of times it can be executed is reduced to 0.
@@ -192,8 +192,8 @@
             this->status_ = QuestEffectBeaconStatus::Inactive;
         }
-        
-        return true;
-    }
-    
+
+        return true;
+    }
+
     /**
     @brief
@@ -212,9 +212,9 @@
             return false;
         }
-        
+
         this->times_ = n;
         return true;
     }
-    
+
     /**
     @brief
@@ -238,5 +238,5 @@
         return true;
     }
-    
+
     /**
     @brief
Index: code/branches/libraries2/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/branches/libraries2/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 5719)
+++ code/branches/libraries2/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 5720)
@@ -38,5 +38,5 @@
 
 #include <list>
-#include "orxonox/objects/worldentities/StaticEntity.h"
+#include "objects/worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/objects/quest/notifications/NotificationOverlay.h
===================================================================
--- code/branches/libraries2/src/orxonox/objects/quest/notifications/NotificationOverlay.h	(revision 5719)
+++ code/branches/libraries2/src/orxonox/objects/quest/notifications/NotificationOverlay.h	(revision 5720)
@@ -39,5 +39,5 @@
 
 #include <string>
-#include "orxonox/overlays/OverlayText.h"
+#include "overlays/OverlayText.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/objects/worldentities/triggers/DistanceTrigger.cc
===================================================================
--- code/branches/libraries2/src/orxonox/objects/worldentities/triggers/DistanceTrigger.cc	(revision 5719)
+++ code/branches/libraries2/src/orxonox/objects/worldentities/triggers/DistanceTrigger.cc	(revision 5720)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "orxonox/objects/worldentities/pawns/Pawn.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/overlays/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/CMakeLists.txt	(revision 5719)
+++ code/branches/libraries2/src/orxonox/overlays/CMakeLists.txt	(revision 5720)
@@ -3,24 +3,2 @@
   OverlayGroup.cc
 )
-
-SET_SOURCE_FILES(OVERLAYS_SRC_FILES
-  OverlayText.cc
-  FadeoutText.cc
-  GUIOverlay.cc
-)
-
-ADD_SUBDIRECTORY(debug)
-ADD_SUBDIRECTORY(hud)
-ADD_SUBDIRECTORY(stats)
-
-ORXONOX_ADD_LIBRARY(overlays
-  MODULE
-  FIND_HEADER_FILES
-  DEFINE_SYMBOL
-    "OVERLAYS_SHARED_BUILD"
-  PCH_FILE
-    ../OrxonoxPrecompiledHeaders.h
-  LINK_LIBRARIES
-    orxonox
-  SOURCE_FILES ${OVERLAYS_SRC_FILES}
-)
Index: code/branches/libraries2/src/orxonox/overlays/FadeoutText.cc
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/FadeoutText.cc	(revision 5719)
+++ 	(revision )
@@ -1,116 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#include "FadeoutText.h"
-
-#include <OgreTextAreaOverlayElement.h>
-#include "util/Math.h"
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-
-namespace orxonox
-{
-    CreateFactory(FadeoutText);
-
-    FadeoutText::FadeoutText(BaseObject* creator) : OverlayText(creator)
-    {
-        RegisterObject(FadeoutText);
-
-        this->delay_ = 3.0f;
-        this->fadeouttime_ = 1.0f;
-
-        this->bFadingOut_ = false;
-        this->fadeouttimer_.setTimer(3.0f, false, this, createExecutor(createFunctor(&FadeoutText::fadeout)));
-        this->fadeouttimer_.stopTimer();
-
-        this->initialAlpha_ = 1.0f;
-    }
-
-    void FadeoutText::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(FadeoutText, XMLPort, xmlelement, mode);
-
-        XMLPortParam(FadeoutText, "delay", setDelay, getDelay, xmlelement, mode);
-        XMLPortParam(FadeoutText, "fadeout", setFadeouttime, getFadeouttime, xmlelement, mode);
-    }
-
-    void FadeoutText::tick(float dt)
-    {
-        if (this->bFadingOut_)
-        {
-            ColourValue colour = this->getColour();
-
-            if (colour.a > 0)
-            {
-                float alpha = colour.a;
-
-                alpha -= dt / this->fadeouttime_;
-                if (alpha < 0)
-                    alpha = 0;
-                colour.a = alpha;
-
-                this->text_->setColour(colour);
-            }
-            else
-            {
-                this->text_->setCaption("");
-                this->reset();
-            }
-        }
-    }
-
-    void FadeoutText::fadeout()
-    {
-        this->bFadingOut_ = true;
-    }
-
-    void FadeoutText::reset()
-    {
-        this->bFadingOut_ = false;
-
-        ColourValue colour = this->getColour();
-        colour.a = this->initialAlpha_;
-        this->text_->setColour(colour);
-    }
-
-    void FadeoutText::changedColour()
-    {
-        OverlayText::changedColour();
-
-        this->initialAlpha_ = this->getColour().a;
-    }
-
-    void FadeoutText::changedCaption()
-    {
-        OverlayText::changedCaption();
-
-        this->reset();
-        this->fadeouttimer_.setInterval(this->delay_);
-        this->fadeouttimer_.startTimer();
-    }
-}
Index: code/branches/libraries2/src/orxonox/overlays/FadeoutText.h
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/FadeoutText.h	(revision 5719)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _FadeoutText_H__
-#define _FadeoutText_H__
-
-#include "overlays/OverlaysPrereqs.h"
-
-#include "tools/Timer.h"
-#include "tools/interfaces/Tickable.h"
-#include "overlays/OverlayText.h"
-
-namespace orxonox
-{
-    class _OverlaysExport FadeoutText : public OverlayText, public Tickable
-    {
-        public:
-            FadeoutText(BaseObject* creator);
-            virtual ~FadeoutText() {}
-
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
-            virtual void tick(float dt);
-
-            inline void setDelay(float delay)
-                { this->delay_ = delay; }
-            inline float getDelay() const
-                { return this->delay_; }
-
-            inline void setFadeouttime(float fadeouttime)
-                { this->fadeouttime_ = fadeouttime; }
-            inline float getFadeouttime() const
-                { return this->fadeouttime_; }
-
-        private:
-            virtual void changedColour();
-            virtual void changedCaption();
-
-            void fadeout();
-            void reset();
-
-            float delay_;
-            float fadeouttime_;
-
-            bool bFadingOut_;
-            Timer<FadeoutText> fadeouttimer_;
-
-            float initialAlpha_;
-    };
-}
-#endif /* _FadeoutText_H__ */
Index: code/branches/libraries2/src/orxonox/overlays/GUIOverlay.cc
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/GUIOverlay.cc	(revision 5719)
+++ 	(revision )
@@ -1,87 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Benjamin Knecht
- *   Co-authors:
- *      ...
- *
- */
-
-#include "GUIOverlay.h"
-
-#include <string>
-#include <sstream>
-
-#include "core/input/InputManager.h"
-#include "core/CoreIncludes.h"
-#include "core/GUIManager.h"
-#include "core/XMLPort.h"
-#include "objects/infos/PlayerInfo.h"
-
-namespace orxonox
-{
-    CreateFactory(GUIOverlay);
-
-    GUIOverlay::GUIOverlay(BaseObject* creator) : OrxonoxOverlay(creator)
-    {
-        RegisterObject(GUIOverlay);
-    }
-
-    GUIOverlay::~GUIOverlay()
-    {
-    }
-
-    void GUIOverlay::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(GUIOverlay, XMLPort, xmlElement, mode);
-
-        XMLPortParam(GUIOverlay, "guiname", setGUIName, getGUIName, xmlElement, mode);
-    }
-
-    void GUIOverlay::changedVisibility()
-    {
-        SUPER(GUIOverlay, changedVisibility);
-
-        if (this->isVisible())
-        {
-            std::string str;
-            std::stringstream out;
-            out << reinterpret_cast<long>(this);
-            str = out.str();
-            GUIManager::getInstance().executeCode("showCursor()");
-            InputManager::getInstance().enterState("guiMouseOnly");
-            GUIManager::getInstance().executeCode("showGUI(\"" + this->guiName_ + "\", " + str + ")");
-        }
-        else
-        {
-            GUIManager::getInstance().executeCode("hideGUI(\"" + this->guiName_ + "\")");
-            GUIManager::getInstance().executeCode("hideCursor()");
-            InputManager::getInstance().leaveState("guiMouseOnly");
-        }
-    }
-
-    void GUIOverlay::setGUIName(const std::string& name)
-    {
-        this->guiName_ = name;
-        GUIManager::getInstance().setPlayer(name, orxonox_cast<PlayerInfo*>(this->getOwner()));
-    }
-}
Index: code/branches/libraries2/src/orxonox/overlays/GUIOverlay.h
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/GUIOverlay.h	(revision 5719)
+++ 	(revision )
@@ -1,58 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Benjamin Knecht
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _GUIOverlay_H__
-#define _GUIOverlay_H__
-
-#include "overlays/OverlaysPrereqs.h"
-
-#include <string>
-#include "OrxonoxOverlay.h"
-
-namespace orxonox
-{
-    class _OverlaysExport GUIOverlay : public OrxonoxOverlay
-    {
-        public:
-
-            GUIOverlay(BaseObject* creator);
-            virtual ~GUIOverlay();
-
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
-
-            void setGUIName(const std::string& name);
-            inline const std::string& getGUIName() const { return this->guiName_; }
-
-            virtual void changedVisibility();
-
-        private:
-            std::string guiName_;
-    };
-}
-
-#endif
Index: code/branches/libraries2/src/orxonox/overlays/OverlayText.cc
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/OverlayText.cc	(revision 5719)
+++ 	(revision )
@@ -1,170 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OverlayText.h"
-
-#include <OgreOverlayManager.h>
-#include <OgrePanelOverlayElement.h>
-#include <OgreTextAreaOverlayElement.h>
-#include <boost/static_assert.hpp>
-
-#include "util/StringUtils.h"
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-
-
-namespace orxonox
-{
-    CreateFactory(OverlayText);
-
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Left   == (int)OverlayText::Left);
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Center == (int)OverlayText::Center);
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Right  == (int)OverlayText::Right);
-
-    OverlayText::OverlayText(BaseObject* creator)
-        : OrxonoxOverlay(creator)
-    {
-        RegisterObject(OverlayText);
-
-        this->text_ = static_cast<Ogre::TextAreaOverlayElement*>(Ogre::OverlayManager::getSingleton()
-            .createOverlayElement("TextArea", "OverlayText_text_" + getUniqueNumberString()));
-        this->text_->setCharHeight(1.0);
-
-        this->setFont("Monofur");
-        this->setColour(ColourValue(1.0, 1.0, 1.0, 1.0));
-        this->setCaption("");
-        this->setTextSize(1.0f);
-        this->setAlignmentString("left");
-
-        this->background_->addChild(this->text_);
-    }
-
-    OverlayText::~OverlayText()
-    {
-        if (this->isInitialized())
-            Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->text_);
-    }
-
-    void OverlayText::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(OverlayText, XMLPort, xmlElement, mode);
-
-        XMLPortParam(OverlayText, "font",       setFont,            getFont,            xmlElement, mode);
-        XMLPortParam(OverlayText, "colour",     setColour,          getColour,          xmlElement, mode);
-        XMLPortParam(OverlayText, "caption",    setCaption,         getCaption,         xmlElement, mode);
-        XMLPortParam(OverlayText, "textsize",   setTextSize,        getTextSize,        xmlElement, mode);
-        XMLPortParam(OverlayText, "align",      setAlignmentString, getAlignmentString, xmlElement, mode);
-        XMLPortParam(OverlayText, "spacewidth", setSpaceWidth,      getSpaceWidth,      xmlElement, mode);
-    }
-
-    void OverlayText::setAlignmentString(const std::string& alignment)
-    {
-        if (alignment == "right")
-            this->setAlignment(OverlayText::Right);
-        else if (alignment == "center")
-            this->setAlignment(OverlayText::Center);
-        else // "left" and default
-            this->setAlignment(OverlayText::Left);
-    }
-
-    std::string OverlayText::getAlignmentString() const
-    {
-        Ogre::TextAreaOverlayElement::Alignment alignment = this->text_->getAlignment();
-
-        switch (alignment)
-        {
-            case Ogre::TextAreaOverlayElement::Right:
-                return "right";
-            case Ogre::TextAreaOverlayElement::Center:
-                return "center";
-            case Ogre::TextAreaOverlayElement::Left:
-                return "left";
-            default:
-                assert(false); return "";
-        }
-    }
-
-    void OverlayText::sizeChanged()
-    {
-        if (this->rotState_ == Horizontal)
-            this->overlay_->setScale(size_.y * sizeCorrection_.y, size_.y * sizeCorrection_.y);
-        else if (this->rotState_ == Vertical)
-            this->overlay_->setScale(size_.y / (sizeCorrection_.y * sizeCorrection_.y), size_.y * sizeCorrection_.y);
-        else
-            this->overlay_->setScale(size_.y, size_.y);
-
-        positionChanged();
-    }
-
-    void OverlayText::setCaption(const std::string& caption)
-    {
-        this->text_->setCaption(caption);
-        this->changedCaption();
-    }
-    std::string OverlayText::getCaption() const
-    {
-        return this->text_->getCaption();
-    }
-
-    void OverlayText::setFont(const std::string& font)
-    {
-        if (font != "")
-            this->text_->setFontName(font);
-    }
-    const std::string& OverlayText::getFont() const
-    {
-        return this->text_->getFontName();
-    }
-
-    void OverlayText::setSpaceWidth(float width)
-    {
-        this->text_->setSpaceWidth(width);
-    }
-    float OverlayText::getSpaceWidth() const
-    {
-        return this->text_->getSpaceWidth();
-    }
-
-    void OverlayText::setColour(const ColourValue& colour)
-    {
-        this->text_->setColour(colour); this->changedColour();
-    }
-    const ColourValue& OverlayText::getColour() const
-    {
-        return this->text_->getColour();
-    }
-
-    void OverlayText::setAlignment(OverlayText::Alignment alignment)
-    {
-        this->text_->setAlignment(static_cast<Ogre::TextAreaOverlayElement::Alignment>(alignment));
-    }
-    OverlayText::Alignment OverlayText::getAlignment() const
-    {
-        return static_cast<OverlayText::Alignment>(this->text_->getAlignment());
-    }
-}
Index: code/branches/libraries2/src/orxonox/overlays/OverlayText.h
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/OverlayText.h	(revision 5719)
+++ 	(revision )
@@ -1,85 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _OverlayText_H__
-#define _OverlayText_H__
-
-#include "overlays/OverlaysPrereqs.h"
-
-#include <string>
-#include "util/Math.h"
-#include "util/OgreForwardRefs.h"
-#include "OrxonoxOverlay.h"
-
-namespace orxonox
-{
-    class _OverlaysExport OverlayText : public OrxonoxOverlay
-    {
-    public:
-        enum Alignment
-        {
-            Left,
-            Right,
-            Center
-        };
-
-        OverlayText(BaseObject* creator);
-        virtual ~OverlayText();
-
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
-
-        void setCaption(const std::string& caption);
-        std::string getCaption() const;
-
-        void setFont(const std::string& font);
-        const std::string& getFont() const;
-
-        void setSpaceWidth(float width);
-        float getSpaceWidth() const;
-
-        void setColour(const ColourValue& colour);
-        const ColourValue& getColour() const;
-
-        void setAlignment(OverlayText::Alignment alignment);
-        OverlayText::Alignment getAlignment() const;
-
-        void setAlignmentString(const std::string& alignment);
-        std::string getAlignmentString() const;
-
-        inline void setTextSize(float size) { this->setSize(Vector2(size, size)); }
-        inline float getTextSize() const    { return this->getSize().y; }
-
-    protected:
-        virtual void sizeChanged();
-        virtual void changedColour() {}
-        virtual void changedCaption() {}
-
-        Ogre::TextAreaOverlayElement* text_;
-    };
-}
-#endif /* _OverlayText_H__ */
Index: code/branches/libraries2/src/orxonox/overlays/OverlaysPrereqs.h
===================================================================
--- code/branches/libraries2/src/orxonox/overlays/OverlaysPrereqs.h	(revision 5719)
+++ 	(revision )
@@ -1,88 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-  @file
-  @brief Contains all the necessary forward declarations for all classes and structs.
-*/
-
-#ifndef _OverlaysPrereqs_H__
-#define _OverlaysPrereqs_H__
-
-#include "OrxonoxConfig.h"
-
-//-----------------------------------------------------------------------
-// Shared library settings
-//-----------------------------------------------------------------------
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
-#  ifdef OVERLAYS_SHARED_BUILD
-#    define _OverlaysExport __declspec(dllexport)
-#  else
-#    if defined( __MINGW32__ )
-#      define _OverlaysExport
-#    else
-#      define _OverlaysExport __declspec(dllimport)
-#    endif
-#  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
-#  define _OverlaysExport  __attribute__ ((visibility("default")))
-#else
-#  define _OverlaysExport
-#endif
-
-//-----------------------------------------------------------------------
-// Forward declarations
-//-----------------------------------------------------------------------
-
-namespace orxonox
-{
-    class BarColour;
-    class DebugFPSText;
-    class DebugRTRText;
-    class GUIOverlay;
-    class HUDBar;
-    class HUDNavigation;
-    class HUDRadar;
-    class HUDSpeedBar;
-    class HUDHealthBar;
-    class HUDTimer;
-    class OrxonoxOverlay;
-    class OverlayGroup;
-    class OverlayText;
-    class FadeoutText;
-    class GametypeStatus;
-    class AnnounceMessage;
-    class KillMessage;
-    class DeathMessage;
-
-    class CreateLines;
-    class Scoreboard;
-    class Stats;
-}
-
-#endif /* _OverlaysPrereqs_H__ */
Index: code/branches/libraries2/src/orxonox/sound/SoundBase.cc
===================================================================
--- code/branches/libraries2/src/orxonox/sound/SoundBase.cc	(revision 5719)
+++ code/branches/libraries2/src/orxonox/sound/SoundBase.cc	(revision 5720)
@@ -37,8 +37,8 @@
 #include "core/Core.h"
 #include "core/Resource.h"
-#include "orxonox/objects/worldentities/WorldEntity.h"
+#include "objects/worldentities/WorldEntity.h"
 #include "SoundManager.h"
 
-namespace orxonox 
+namespace orxonox
 {
     SoundBase::SoundBase(WorldEntity* entity)
Index: code/branches/libraries2/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/libraries2/src/orxonox/sound/SoundManager.cc	(revision 5719)
+++ code/branches/libraries2/src/orxonox/sound/SoundManager.cc	(revision 5720)
@@ -32,6 +32,6 @@
 
 #include "util/Math.h"
-#include "orxonox/CameraManager.h"
-#include "orxonox/objects/worldentities/Camera.h"
+#include "CameraManager.h"
+#include "objects/worldentities/Camera.h"
 #include "SoundBase.h"
 
@@ -146,5 +146,5 @@
         Vector3 at = orient.zAxis();
 
-        ALfloat orientation[6] = { at.x, at.y, at.z, 
+        ALfloat orientation[6] = { at.x, at.y, at.z,
                                  up.x, up.y, up.z };
 
@@ -158,5 +158,5 @@
             (*i)->update();
     }
-    
+
     /**
     * Check if sound is available