Index: code/branches/libraries2/src/modules/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/modules/CMakeLists.txt	(revision 5721)
+++ code/branches/libraries2/src/modules/CMakeLists.txt	(revision 5722)
@@ -22,2 +22,3 @@
 ADD_SUBDIRECTORY(gamestates)
 ADD_SUBDIRECTORY(overlays)
+ADD_SUBDIRECTORY(questsystem)
Index: code/branches/libraries2/src/modules/questsystem/AddQuest.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/AddQuest.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/AddQuest.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _AddQuest_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 #include "ChangeQuestStatus.h"
 
@@ -50,5 +50,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport AddQuest : public ChangeQuestStatus
+    class _QuestsystemExport AddQuest : public ChangeQuestStatus
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/AddQuestHint.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/AddQuestHint.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/AddQuestHint.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _AddQuestHint_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -52,5 +52,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport AddQuestHint : public QuestEffect
+    class _QuestsystemExport AddQuestHint : public QuestEffect
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/AddReward.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/AddReward.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/AddReward.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _AddReward_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <list>
@@ -56,5 +56,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport AddReward : public QuestEffect
+    class _QuestsystemExport AddReward : public QuestEffect
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/modules/questsystem/CMakeLists.txt	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/CMakeLists.txt	(revision 5722)
@@ -1,3 +1,3 @@
-SET_SOURCE_FILES(QUEST_SRC_FILES
+SET_SOURCE_FILES(QUESTSYSTEM_SRC_FILES
   AddQuest.cc
   AddQuestHint.cc
@@ -21,8 +21,5 @@
 ADD_SUBDIRECTORY(notifications)
 
-# add the parent directory for tolua (TODO: remove this if the quest module is moved somewhere else)
-INCLUDE_DIRECTORIES(..)
-
-ORXONOX_ADD_LIBRARY(quest
+ORXONOX_ADD_LIBRARY(questsystem
   MODULE
   TOLUA_FILES
@@ -30,8 +27,8 @@
     QuestManager.h
   DEFINE_SYMBOL
-    "QUEST_SHARED_BUILD"
+    "QUESTSYSTEM_SHARED_BUILD"
   LINK_LIBRARIES
     orxonox
     overlays
-  SOURCE_FILES ${QUEST_SRC_FILES}
+  SOURCE_FILES ${QUESTSYSTEM_SRC_FILES}
 )
Index: code/branches/libraries2/src/modules/questsystem/ChangeQuestStatus.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/ChangeQuestStatus.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/ChangeQuestStatus.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _ChangeQuestStatus_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -48,5 +48,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport ChangeQuestStatus : public QuestEffect
+    class _QuestsystemExport ChangeQuestStatus : public QuestEffect
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/CompleteQuest.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/CompleteQuest.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/CompleteQuest.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _CompleteQuest_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 #include "ChangeQuestStatus.h"
 
@@ -50,5 +50,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport CompleteQuest : public ChangeQuestStatus
+    class _QuestsystemExport CompleteQuest : public ChangeQuestStatus
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/FailQuest.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/FailQuest.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/FailQuest.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _FailQuest_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 #include "ChangeQuestStatus.h"
 
@@ -50,5 +50,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport FailQuest : public ChangeQuestStatus
+    class _QuestsystemExport FailQuest : public ChangeQuestStatus
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/GlobalQuest.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/GlobalQuest.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/GlobalQuest.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _GlobalQuest_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <list>
@@ -81,5 +81,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport GlobalQuest : public Quest
+    class _QuestsystemExport GlobalQuest : public Quest
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/LocalQuest.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/LocalQuest.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/LocalQuest.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _LocalQuest_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <map>
@@ -75,5 +75,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport LocalQuest : public Quest
+    class _QuestsystemExport LocalQuest : public Quest
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/Quest.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/Quest.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/Quest.h	(revision 5722)
@@ -36,5 +36,5 @@
 #define _Quest_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <list>
@@ -67,5 +67,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport Quest : public QuestItem
+    class _QuestsystemExport Quest : public QuestItem
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/QuestDescription.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestDescription.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestDescription.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _QuestDescription_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -54,5 +54,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport QuestDescription : public BaseObject
+    class _QuestsystemExport QuestDescription : public BaseObject
     {
 // tolua_end
Index: code/branches/libraries2/src/modules/questsystem/QuestEffect.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestEffect.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestEffect.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _QuestEffect_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <list>
@@ -49,5 +49,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport QuestEffect : public BaseObject
+    class _QuestsystemExport QuestEffect : public BaseObject
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _QuestEffectBeacon_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <list>
@@ -79,5 +79,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport QuestEffectBeacon : public StaticEntity
+    class _QuestsystemExport QuestEffectBeacon : public StaticEntity
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/QuestHint.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestHint.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestHint.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _QuestHint_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <map>
@@ -66,5 +66,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport QuestHint : public QuestItem
+    class _QuestsystemExport QuestHint : public QuestItem
     {
 
Index: code/branches/libraries2/src/modules/questsystem/QuestItem.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestItem.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestItem.h	(revision 5722)
@@ -37,5 +37,5 @@
 #define _QuestItem_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -51,5 +51,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport QuestItem : public BaseObject
+    class _QuestsystemExport QuestItem : public BaseObject
     {
 
Index: code/branches/libraries2/src/modules/questsystem/QuestListener.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestListener.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestListener.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _QuestListener_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -72,5 +72,5 @@
     Damian 'Mozork' Frick
     */
-    class _QuestExport QuestListener : public BaseObject
+    class _QuestsystemExport QuestListener : public BaseObject
     {
     public:
Index: code/branches/libraries2/src/modules/questsystem/QuestManager.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestManager.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestManager.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _QuestManager_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <list>
@@ -75,5 +75,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport QuestManager : public ScopedSingletonQuestManagerGSLevel, public orxonox::OrxonoxClass
+    class _QuestsystemExport QuestManager : public ScopedSingletonQuestManagerGSLevel, public orxonox::OrxonoxClass
     {
 // tolua_end
Index: code/branches/libraries2/src/modules/questsystem/QuestNotification.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestNotification.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/QuestNotification.h	(revision 5722)
@@ -30,5 +30,5 @@
 #define _QuestNotification_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -43,5 +43,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport QuestNotification : public Notification
+    class _QuestsystemExport QuestNotification : public Notification
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/QuestPrereqs.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestPrereqs.h	(revision 5721)
+++ 	(revision )
@@ -1,92 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-  @file
-  @brief Contains all the necessary forward declarations for all classes and structs.
-*/
-
-#ifndef _QuestsystemPrereqs_H__
-#define _QuestsystemPrereqs_H__
-
-#include "OrxonoxConfig.h"
-
-#include "OrxonoxPrereqs.h"
-
-//-----------------------------------------------------------------------
-// Shared library settings
-//-----------------------------------------------------------------------
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
-#  ifdef QUEST_SHARED_BUILD
-#    define _QuestExport __declspec(dllexport)
-#  else
-#    if defined( __MINGW32__ )
-#      define _QuestExport
-#    else
-#      define _QuestExport __declspec(dllimport)
-#    endif
-#  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
-#  define _QuestExport  __attribute__ ((visibility("default")))
-#else
-#  define _QuestExport
-#endif
-
-//-----------------------------------------------------------------------
-// Forward declarations
-//-----------------------------------------------------------------------
-
-namespace orxonox
-{
-    class AddQuest;
-    class AddQuestHint;
-    class AddReward;
-    class ChangeQuestStatus;
-    class CompleteQuest;
-    class FailQuest;
-    class GlobalQuest;
-    class LocalQuest;
-    class Quest;
-    class QuestDescription;
-    class QuestEffect;
-    class QuestEffectBeacon;
-    class QuestHint;
-    class QuestItem;
-    class QuestListener;
-    class QuestManager;
-    class QuestNotification;
-    class Rewardable;
-
-    class Notification;
-    class NotificationListener;
-    class NotificationManager;
-    class NotificationOverlay;
-    class NotificationQueue;
-}
-
-#endif /* _QuestsystemPrereqs_H__ */
Index: code/branches/libraries2/src/modules/questsystem/QuestsystemPrereqs.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/QuestsystemPrereqs.h	(revision 5722)
+++ code/branches/libraries2/src/modules/questsystem/QuestsystemPrereqs.h	(revision 5722)
@@ -0,0 +1,92 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+  @file
+  @brief Contains all the necessary forward declarations for all classes and structs.
+*/
+
+#ifndef _QuestsystemPrereqs_H__
+#define _QuestsystemPrereqs_H__
+
+#include "OrxonoxConfig.h"
+
+#include "OrxonoxPrereqs.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#  ifdef QUESTSYSTEM_SHARED_BUILD
+#    define _QuestsystemExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _QuestsystemExport
+#    else
+#      define _QuestsystemExport __declspec(dllimport)
+#    endif
+#  endif
+#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _QuestsystemExport  __attribute__ ((visibility("default")))
+#else
+#  define _QuestsystemExport
+#endif
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+namespace orxonox
+{
+    class AddQuest;
+    class AddQuestHint;
+    class AddReward;
+    class ChangeQuestStatus;
+    class CompleteQuest;
+    class FailQuest;
+    class GlobalQuest;
+    class LocalQuest;
+    class Quest;
+    class QuestDescription;
+    class QuestEffect;
+    class QuestEffectBeacon;
+    class QuestHint;
+    class QuestItem;
+    class QuestListener;
+    class QuestManager;
+    class QuestNotification;
+    class Rewardable;
+
+    class Notification;
+    class NotificationListener;
+    class NotificationManager;
+    class NotificationOverlay;
+    class NotificationQueue;
+}
+
+#endif /* _QuestsystemPrereqs_H__ */
Index: code/branches/libraries2/src/modules/questsystem/notifications/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/modules/questsystem/notifications/CMakeLists.txt	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/notifications/CMakeLists.txt	(revision 5722)
@@ -1,3 +1,3 @@
-ADD_SOURCE_FILES(QUEST_SRC_FILES
+ADD_SOURCE_FILES(QUESTSYSTEM_SRC_FILES
   Notification.cc
   NotificationManager.cc
Index: code/branches/libraries2/src/modules/questsystem/notifications/Notification.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/notifications/Notification.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/notifications/Notification.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _Notification_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -49,5 +49,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport Notification : public BaseObject
+    class _QuestsystemExport Notification : public BaseObject
     {
         public:
Index: code/branches/libraries2/src/modules/questsystem/notifications/NotificationManager.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/notifications/NotificationManager.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/notifications/NotificationManager.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _NotificationManager_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <ctime>
@@ -54,5 +54,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport NotificationManager : public ScopedSingleton<NotificationManager, ScopeID::GSLevel>, public OrxonoxClass
+    class _QuestsystemExport NotificationManager : public ScopedSingleton<NotificationManager, ScopeID::GSLevel>, public OrxonoxClass
     {
             friend class ScopedSingleton<NotificationManager, ScopeID::GSLevel>;
Index: code/branches/libraries2/src/modules/questsystem/notifications/NotificationOverlay.cc
===================================================================
--- code/branches/libraries2/src/modules/questsystem/notifications/NotificationOverlay.cc	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/notifications/NotificationOverlay.cc	(revision 5722)
@@ -36,5 +36,5 @@
 #include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "objects/quest/notifications/Notification.h"
+#include "Notification.h"
 #include "NotificationQueue.h"
 
Index: code/branches/libraries2/src/modules/questsystem/notifications/NotificationOverlay.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/notifications/NotificationOverlay.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/notifications/NotificationOverlay.h	(revision 5722)
@@ -36,5 +36,5 @@
 #define _NotificationOverlay_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <string>
@@ -50,5 +50,5 @@
         Damian 'Mozork' Frick
     */
-    class _QuestExport NotificationOverlay : public OverlayText
+    class _QuestsystemExport NotificationOverlay : public OverlayText
     {
 
Index: code/branches/libraries2/src/modules/questsystem/notifications/NotificationQueue.cc
===================================================================
--- code/branches/libraries2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 5722)
@@ -39,5 +39,5 @@
 #include "core/XMLPort.h"
 #include "NotificationOverlay.h"
-#include "objects/quest/notifications/NotificationManager.h"
+#include "NotificationManager.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/questsystem/notifications/NotificationQueue.h
===================================================================
--- code/branches/libraries2/src/modules/questsystem/notifications/NotificationQueue.h	(revision 5721)
+++ code/branches/libraries2/src/modules/questsystem/notifications/NotificationQueue.h	(revision 5722)
@@ -35,5 +35,5 @@
 #define _NotificationOueue_H__
 
-#include "objects/quest/QuestPrereqs.h"
+#include "questsystem/QuestsystemPrereqs.h"
 
 #include <ctime>
@@ -85,5 +85,5 @@
     */
 
-    class _QuestExport NotificationQueue : public OverlayGroup, public Tickable, public NotificationListener
+    class _QuestsystemExport NotificationQueue : public OverlayGroup, public Tickable, public NotificationListener
     {
 