Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc	(revision 5703)
+++ 	(revision )
@@ -1,76 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "BoxCollisionShape.h"
-
-#include <BulletCollision/CollisionShapes/btBoxShape.h>
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
-
-namespace orxonox
-{
-    CreateFactory(BoxCollisionShape);
-
-    BoxCollisionShape::BoxCollisionShape(BaseObject* creator) : CollisionShape(creator)
-    {
-        RegisterObject(BoxCollisionShape);
-
-        this->halfExtents_ = Vector3(1, 1, 1);
-        updateShape();
-
-        this->registerVariables();
-    }
-
-    BoxCollisionShape::~BoxCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
-    void BoxCollisionShape::registerVariables()
-    {
-        registerVariable(this->halfExtents_, VariableDirection::ToClient, new NetworkCallback<CollisionShape>(this, &CollisionShape::updateShape));
-    }
-
-    void BoxCollisionShape::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(BoxCollisionShape, XMLPort, xmlelement, mode);
-
-        XMLPortParam(BoxCollisionShape, "halfExtents",  setHalfExtents,  getHalfExtents,  xmlelement, mode);
-        XMLPortParamLoadOnly(BoxCollisionShape, "width",  setWidth,  xmlelement, mode);
-        XMLPortParamLoadOnly(BoxCollisionShape, "height", setHeight, xmlelement, mode);    
-        XMLPortParamLoadOnly(BoxCollisionShape, "length", setLength, xmlelement, mode);    
-    }
-
-    btCollisionShape* BoxCollisionShape::createNewShape() const
-    {
-        return new btBoxShape(multi_cast<btVector3>(this->halfExtents_));
-    }
-}
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/BoxCollisionShape.h
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/BoxCollisionShape.h	(revision 5703)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _BoxCollisionShape_H__
-#define _BoxCollisionShape_H__
-
-#include "OrxonoxPrereqs.h"
-
-#include "util/Math.h"
-#include "CollisionShape.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport BoxCollisionShape : public CollisionShape
-    {
-        public:
-            BoxCollisionShape(BaseObject* creator);
-            virtual ~BoxCollisionShape();
-
-            void registerVariables();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-            inline void setHalfExtents(const Vector3& extents)
-                { this->halfExtents_ = extents; updateShape(); }
-            inline const Vector3& getHalfExtents() const
-                { return halfExtents_;}
-
-            inline void setWidth(float value)
-                { this->halfExtents_.z = value / 2; updateShape(); }
-            inline float getWidth() const
-                { return this->halfExtents_.z * 2; }
-
-            inline void setHeight(float value)
-                { this->halfExtents_.y = value / 2; updateShape(); }
-            inline float getHeight() const
-                { return this->halfExtents_.y * 2; }
-
-            inline void setLength(float value)
-                { this->halfExtents_.x = value / 2; updateShape(); }
-            inline float getLength() const
-                { return this->halfExtents_.x * 2; }
-
-        private:
-            btCollisionShape* createNewShape() const;
-
-            Vector3 halfExtents_;
-     };
-}
-
-#endif /* _BoxCollisionShape_H__ */
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/CMakeLists.txt	(revision 5703)
+++ code/branches/libraries2/src/orxonox/objects/collisionshapes/CMakeLists.txt	(revision 5728)
@@ -1,9 +1,5 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
-  BoxCollisionShape.cc
   CollisionShape.cc
   CompoundCollisionShape.cc
-  ConeCollisionShape.cc
-  PlaneCollisionShape.cc
-  SphereCollisionShape.cc
   WorldEntityCollisionShape.cc
 )
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc	(revision 5703)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "ConeCollisionShape.h"
-
-#include <BulletCollision/CollisionShapes/btConeShape.h>
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-
-namespace orxonox
-{
-    CreateFactory(ConeCollisionShape);
-
-    ConeCollisionShape::ConeCollisionShape(BaseObject* creator) : CollisionShape(creator)
-    {
-        RegisterObject(ConeCollisionShape);
-
-        this->radius_ = 1.0f;
-        this->height_ = 1.0f;
-        updateShape();
-
-        this->registerVariables();
-    }
-
-    ConeCollisionShape::~ConeCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
-    void ConeCollisionShape::registerVariables()
-    {
-        registerVariable(this->radius_, VariableDirection::ToClient, new NetworkCallback<CollisionShape>(this, &CollisionShape::updateShape));
-        registerVariable(this->height_, VariableDirection::ToClient, new NetworkCallback<CollisionShape>(this, &CollisionShape::updateShape));
-    }
-
-    void ConeCollisionShape::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(ConeCollisionShape, XMLPort, xmlelement, mode);
-
-        XMLPortParam(ConeCollisionShape, "radius", setRadius, getRadius, xmlelement, mode);
-        XMLPortParam(ConeCollisionShape, "height", setHeight, getHeight, xmlelement, mode);    
-    }
-
-    btCollisionShape* ConeCollisionShape::createNewShape() const
-    {
-        return new btConeShape(this->radius_, this->height_);
-    }
-}
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/ConeCollisionShape.h
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/ConeCollisionShape.h	(revision 5703)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _ConeCollisionShape_H__
-#define _ConeCollisionShape_H__
-
-#include "OrxonoxPrereqs.h"
-#include "CollisionShape.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport ConeCollisionShape : public CollisionShape
-    {
-        public:
-            ConeCollisionShape(BaseObject* creator);
-            virtual ~ConeCollisionShape();
-
-            void registerVariables();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-            inline void setRadius(float value)
-                { this->radius_ = value; updateShape(); }
-            inline float getRadius() const
-                { return radius_; }
-
-            inline void setHeight(float value)
-                { this->height_ = value; updateShape(); }
-            inline float getHeight() const
-                { return this->height_; }
-
-        private:
-            btCollisionShape* createNewShape() const;
-
-            float radius_;
-            float height_;
-     };
-}
-
-#endif /* _ConeCollisionShape_H__ */
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc	(revision 5703)
+++ 	(revision )
@@ -1,76 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Martin Stypinski
- *   Co-authors:
- *      ...
- *
- */
-
-#include "PlaneCollisionShape.h"
-
-#include <BulletCollision/CollisionShapes/btStaticPlaneShape.h>
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
-
-namespace orxonox
-{
-    CreateFactory(PlaneCollisionShape);
-
-    PlaneCollisionShape::PlaneCollisionShape(BaseObject* creator) : CollisionShape(creator)
-    {
-        RegisterObject(PlaneCollisionShape);
-
-        this->normal_ = Vector3(0, 1, 0);
-        this->offset_ = 0.0f;
-        updateShape();
-
-        this->registerVariables();
-    }
-
-    PlaneCollisionShape::~PlaneCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
-    void PlaneCollisionShape::registerVariables()
-    {
-        registerVariable(this->normal_, VariableDirection::ToClient, new NetworkCallback<CollisionShape>(this, &CollisionShape::updateShape));
-        registerVariable(this->offset_, VariableDirection::ToClient, new NetworkCallback<CollisionShape>(this, &CollisionShape::updateShape));
-    }
-
-    void PlaneCollisionShape::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(PlaneCollisionShape, XMLPort, xmlelement, mode);
-
-        XMLPortParam(PlaneCollisionShape, "normal", setNormal, getNormal, xmlelement, mode);
-        XMLPortParam(PlaneCollisionShape, "offset", setOffset, getOffset, xmlelement, mode);    
-    }
-
-    btCollisionShape* PlaneCollisionShape::createNewShape() const
-    {
-        return new btStaticPlaneShape(multi_cast<btVector3>(this->normal_), this->offset_);
-    }
-}
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h	(revision 5703)
+++ 	(revision )
@@ -1,66 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Martin Stypinski
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _PlaneCollisionShape_H__
-#define _PlaneCollisionShape_H__
-
-#include "OrxonoxPrereqs.h"
-
-#include "util/Math.h"
-#include "CollisionShape.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport PlaneCollisionShape : public CollisionShape
-    {
-        public:
-            PlaneCollisionShape(BaseObject* creator);
-            virtual ~PlaneCollisionShape();
-
-            void registerVariables();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-            inline void setNormal(const Vector3& normal)
-                { this->normal_ = normal; updateShape(); }
-            inline const Vector3& getNormal()
-                { return normal_;}
-
-            inline void setOffset(float offset)
-                { this->offset_ = offset; updateShape(); }
-            inline float getOffset()
-                { return this->offset_;}
-
-        private:
-            btCollisionShape* createNewShape()const;
-
-            Vector3 normal_;
-            float   offset_;
-     };
-}
-
-#endif /* _PlaneCollisionShape_H__ */
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc	(revision 5703)
+++ 	(revision )
@@ -1,72 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "SphereCollisionShape.h"
-
-#include <BulletCollision/CollisionShapes/btSphereShape.h>
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-
-namespace orxonox
-{
-    CreateFactory(SphereCollisionShape);
-
-    SphereCollisionShape::SphereCollisionShape(BaseObject* creator) : CollisionShape(creator)
-    {
-        RegisterObject(SphereCollisionShape);
-
-        this->radius_ = 1.0f;
-        updateShape();
-
-        this->registerVariables();
-    }
-
-    SphereCollisionShape::~SphereCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
-    void SphereCollisionShape::registerVariables()
-    {
-        registerVariable(this->radius_, VariableDirection::ToClient, new NetworkCallback<CollisionShape>(this, &CollisionShape::updateShape));
-    }
-
-    void SphereCollisionShape::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(SphereCollisionShape, XMLPort, xmlelement, mode);
-
-        XMLPortParam(SphereCollisionShape, "radius", setRadius, getRadius, xmlelement, mode);
-    }
-
-    btCollisionShape* SphereCollisionShape::createNewShape() const
-    {
-        return new btSphereShape(this->radius_);
-    }
-}
Index: code/branches/libraries2/src/orxonox/objects/collisionshapes/SphereCollisionShape.h
===================================================================
--- code/branches/libraries2/src/orxonox/objects/collisionshapes/SphereCollisionShape.h	(revision 5703)
+++ 	(revision )
@@ -1,58 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _SphereCollisionShape_H__
-#define _SphereCollisionShape_H__
-
-#include "OrxonoxPrereqs.h"
-#include "CollisionShape.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport SphereCollisionShape : public CollisionShape
-    {
-        public:
-            SphereCollisionShape(BaseObject* creator);
-            virtual ~SphereCollisionShape();
-
-            void registerVariables();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-            inline void setRadius(float radius)
-                { this->radius_ = radius; updateShape(); }
-            inline float getRadius() const
-                { return this->radius_; }
-
-        private:
-            btCollisionShape* createNewShape() const;
-
-            float radius_;
-    };
-}
-
-#endif /* _SphereCollisionShape_H__ */