Index: code/branches/libraries2/src/modules/weapons/MuzzleFlash.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/MuzzleFlash.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/MuzzleFlash.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "objects/worldentities/Billboard.h"
+#include "worldentities/Billboard.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/munitions/FusionMunition.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/munitions/FusionMunition.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/munitions/FusionMunition.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/Munition.h"
+#include "weaponsystem/Munition.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/munitions/ReplenishingMunition.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/munitions/ReplenishingMunition.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/munitions/ReplenishingMunition.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "objects/weaponsystem/Munition.h"
+#include "weaponsystem/Munition.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/projectiles/BillboardProjectile.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/projectiles/BillboardProjectile.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/projectiles/BillboardProjectile.cc	(revision 5735)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
@@ -61,5 +61,5 @@
         this->billboard_.setColour(colour);
     }
-    
+
     void BillboardProjectile::setMaterial(const std::string& material)
     {
Index: code/branches/libraries2/src/modules/weapons/projectiles/ParticleProjectile.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "tools/ParticleInterface.h"
 #include "core/CoreIncludes.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc	(revision 5735)
@@ -34,6 +34,6 @@
 #include "core/GameMode.h"
 #include "objects/collisionshapes/SphereCollisionShape.h"
-#include "objects/worldentities/pawns/Pawn.h"
-#include "objects/worldentities/ParticleSpawner.h"
+#include "worldentities/pawns/Pawn.h"
+#include "worldentities/ParticleSpawner.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/projectiles/Projectile.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/projectiles/Projectile.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/projectiles/Projectile.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include "tools/Timer.h"
 #include "interfaces/PawnListener.h"
-#include "objects/worldentities/MovableEntity.h"
+#include "worldentities/MovableEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 5735)
@@ -32,11 +32,11 @@
 #include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/Model.h"
+#include "worldentities/Model.h"
 
 #include "weapons/projectiles/Projectile.h"
 #include "weapons/MuzzleFlash.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include <string>
 #include "tools/Timer.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 5735)
@@ -33,7 +33,7 @@
 #include "weapons/projectiles/BillboardProjectile.h"
 
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc	(revision 5735)
@@ -32,11 +32,11 @@
 #include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/Model.h"
+#include "worldentities/Model.h"
 
 #include "weapons/projectiles/Projectile.h"
 #include "weapons/MuzzleFlash.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 5735)
@@ -31,7 +31,7 @@
 #include "core/CoreIncludes.h"
 #include "weapons/projectiles/ParticleProjectile.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 5735)
@@ -31,7 +31,7 @@
 #include "core/CoreIncludes.h"
 #include "weapons/projectiles/LightningGunProjectile.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 5730)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox