Index: code/branches/libraries2/src/modules/objects/Planet.cc
===================================================================
--- code/branches/libraries2/src/modules/objects/Planet.cc	(revision 5736)
+++ code/branches/libraries2/src/modules/objects/Planet.cc	(revision 5737)
@@ -37,5 +37,5 @@
 #include "core/XMLPort.h"
 #include "Scene.h"
-#include "worldentities/Camera.h"
+#include "graphics/Camera.h"
 #include "CameraManager.h"
 
Index: code/branches/libraries2/src/modules/weapons/MuzzleFlash.h
===================================================================
--- code/branches/libraries2/src/modules/weapons/MuzzleFlash.h	(revision 5736)
+++ code/branches/libraries2/src/modules/weapons/MuzzleFlash.h	(revision 5737)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "worldentities/Billboard.h"
+#include "graphics/Billboard.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc	(revision 5736)
+++ code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc	(revision 5737)
@@ -35,5 +35,5 @@
 #include "objects/collisionshapes/SphereCollisionShape.h"
 #include "worldentities/pawns/Pawn.h"
-#include "worldentities/ParticleSpawner.h"
+#include "graphics/ParticleSpawner.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 5736)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 5737)
@@ -32,5 +32,5 @@
 #include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "worldentities/Model.h"
+#include "graphics/Model.h"
 
 #include "weapons/projectiles/Projectile.h"
Index: code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc	(revision 5736)
+++ code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc	(revision 5737)
@@ -32,5 +32,5 @@
 #include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "worldentities/Model.h"
+#include "graphics/Model.h"
 
 #include "weapons/projectiles/Projectile.h"
Index: code/branches/libraries2/src/orxonox/CameraManager.cc
===================================================================
--- code/branches/libraries2/src/orxonox/CameraManager.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/CameraManager.cc	(revision 5737)
@@ -37,5 +37,5 @@
 #include "core/ObjectList.h"
 #include "tools/Shader.h"
-#include "worldentities/Camera.h"
+#include "graphics/Camera.h"
 #include "Scene.h"
 
Index: code/branches/libraries2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/libraries2/src/orxonox/gametypes/Gametype.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/gametypes/Gametype.cc	(revision 5737)
@@ -36,5 +36,5 @@
 #include "infos/PlayerInfo.h"
 #include "infos/Bot.h"
-#include "worldentities/Camera.h"
+#include "graphics/Camera.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/SpawnPoint.h"
Index: code/branches/libraries2/src/orxonox/graphics/Billboard.h
===================================================================
--- code/branches/libraries2/src/orxonox/graphics/Billboard.h	(revision 5736)
+++ code/branches/libraries2/src/orxonox/graphics/Billboard.h	(revision 5737)
@@ -35,5 +35,5 @@
 #include "tools/BillboardSet.h"
 #include "interfaces/TeamColourable.h"
-#include "StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/graphics/Light.h
===================================================================
--- code/branches/libraries2/src/orxonox/graphics/Light.h	(revision 5736)
+++ code/branches/libraries2/src/orxonox/graphics/Light.h	(revision 5737)
@@ -35,5 +35,5 @@
 #include "util/Math.h"
 #include "interfaces/TeamColourable.h"
-#include "StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/graphics/Model.h
===================================================================
--- code/branches/libraries2/src/orxonox/graphics/Model.h	(revision 5736)
+++ code/branches/libraries2/src/orxonox/graphics/Model.h	(revision 5737)
@@ -34,5 +34,5 @@
 #include <string>
 #include "tools/Mesh.h"
-#include "StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/graphics/ParticleEmitter.h
===================================================================
--- code/branches/libraries2/src/orxonox/graphics/ParticleEmitter.h	(revision 5736)
+++ code/branches/libraries2/src/orxonox/graphics/ParticleEmitter.h	(revision 5737)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include "StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/pickup/DroppedItem.cc
===================================================================
--- code/branches/libraries2/src/orxonox/pickup/DroppedItem.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/pickup/DroppedItem.cc	(revision 5737)
@@ -33,6 +33,6 @@
 #include "core/Executor.h"
 #include "BaseItem.h"
-#include "worldentities/Billboard.h"
-#include "worldentities/Model.h"
+#include "graphics/Billboard.h"
+#include "graphics/Model.h"
 #include "worldentities/pawns/Pawn.h"
 
Index: code/branches/libraries2/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/libraries2/src/orxonox/sound/SoundManager.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/sound/SoundManager.cc	(revision 5737)
@@ -33,5 +33,5 @@
 #include "util/Math.h"
 #include "CameraManager.h"
-#include "worldentities/Camera.h"
+#include "graphics/Camera.h"
 #include "SoundBase.h"
 
Index: code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc	(revision 5737)
@@ -38,6 +38,6 @@
 #include "tools/ParticleInterface.h"
 #include "Scene.h"
-#include "worldentities/ParticleSpawner.h"
-#include "Model.h"
+#include "graphics/ParticleSpawner.h"
+#include "graphics/Model.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/CameraPosition.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/CameraPosition.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/worldentities/CameraPosition.cc	(revision 5737)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "Camera.h"
+#include "graphics/Camera.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc	(revision 5737)
@@ -40,5 +40,5 @@
 #include "infos/PlayerInfo.h"
 #include "controllers/Controller.h"
-#include "worldentities/Camera.h"
+#include "graphics/Camera.h"
 #include "worldentities/CameraPosition.h"
 #include "overlays/OverlayGroup.h"
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 5736)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 5737)
@@ -40,5 +40,5 @@
 #include "infos/PlayerInfo.h"
 #include "gametypes/Gametype.h"
-#include "worldentities/ParticleSpawner.h"
+#include "graphics/ParticleSpawner.h"
 #include "worldentities/ExplosionChunk.h"
 #include "worldentities/BigExplosion.h"